commit 3528d3323dd6cf086c9326432293827cd003c783
Author: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date:   Wed Nov 26 10:16:54 2014 -0300

    src/test/modules

diff --git a/GNUmakefile.in b/GNUmakefile.in
index 69e0824..3a57495 100644
--- a/GNUmakefile.in
+++ b/GNUmakefile.in
@@ -65,6 +65,7 @@ check check-tests: all
 
 check check-tests installcheck installcheck-parallel installcheck-tests:
 	$(MAKE) -C src/test/regress $@
+	$(MAKE) -C src/test/modules $@
 
 $(call recurse,check-world,src/test src/pl src/interfaces/ecpg contrib src/bin,check)
 
diff --git a/contrib/Makefile b/contrib/Makefile
index b37d0dd..efee109 100644
--- a/contrib/Makefile
+++ b/contrib/Makefile
@@ -16,7 +16,6 @@ SUBDIRS = \
 		dblink		\
 		dict_int	\
 		dict_xsyn	\
-		dummy_seclabel	\
 		earthdistance	\
 		file_fdw	\
 		fuzzystrmatch	\
@@ -50,13 +49,9 @@ SUBDIRS = \
 		spi		\
 		tablefunc	\
 		tcn		\
-		test_decoding	\
-		test_parser	\
-		test_shm_mq	\
 		tsearch2	\
 		unaccent	\
-		vacuumlo	\
-		worker_spi
+		vacuumlo
 
 ifeq ($(with_openssl),yes)
 SUBDIRS += sslinfo
diff --git a/contrib/pg_upgrade/test.sh b/contrib/pg_upgrade/test.sh
index 7bbd2c7..dcc84f3 100644
--- a/contrib/pg_upgrade/test.sh
+++ b/contrib/pg_upgrade/test.sh
@@ -65,6 +65,7 @@ if [ "$1" = '--install' ]; then
 	"$MAKE" -s -C ../.. install DESTDIR="$temp_install"
 	"$MAKE" -s -C ../pg_upgrade_support install DESTDIR="$temp_install"
 	"$MAKE" -s -C . install DESTDIR="$temp_install"
+	"$MAKE" -s -C ../../src/test/modules install DESTDIR="$temp_install"
 
 	# platform-specific magic to find the shared libraries; see pg_regress.c
 	LD_LIBRARY_PATH=$libdir:$LD_LIBRARY_PATH
diff --git a/src/test/Makefile b/src/test/Makefile
index 0fd7eab..5d997b8 100644
--- a/src/test/Makefile
+++ b/src/test/Makefile
@@ -12,6 +12,6 @@ subdir = src/test
 top_builddir = ../..
 include $(top_builddir)/src/Makefile.global
 
-SUBDIRS = regress isolation
+SUBDIRS = regress isolation modules
 
 $(recurse)
diff --git a/contrib/worker_spi/Makefile b/src/test/modules/bgworker/Makefile
similarity index 76%
rename from contrib/worker_spi/Makefile
rename to src/test/modules/bgworker/Makefile
index 5cce4d1..673281a 100644
--- a/contrib/worker_spi/Makefile
+++ b/src/test/modules/bgworker/Makefile
@@ -1,4 +1,4 @@
-# contrib/worker_spi/Makefile
+# src/test/modules/bgworker/Makefile
 
 MODULES = worker_spi
 
@@ -11,8 +11,8 @@ PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
 else
-subdir = contrib/worker_spi
-top_builddir = ../..
+subdir = src/test/modules/bgworker
+top_builddir = ../../../..
 include $(top_builddir)/src/Makefile.global
 include $(top_srcdir)/contrib/contrib-global.mk
 endif
diff --git a/contrib/worker_spi/worker_spi--1.0.sql b/src/test/modules/bgworker/worker_spi--1.0.sql
similarity index 100%
rename from contrib/worker_spi/worker_spi--1.0.sql
rename to src/test/modules/bgworker/worker_spi--1.0.sql
diff --git a/contrib/worker_spi/worker_spi.c b/src/test/modules/bgworker/worker_spi.c
similarity index 100%
rename from contrib/worker_spi/worker_spi.c
rename to src/test/modules/bgworker/worker_spi.c
diff --git a/contrib/worker_spi/worker_spi.control b/src/test/modules/bgworker/worker_spi.control
similarity index 100%
rename from contrib/worker_spi/worker_spi.control
rename to src/test/modules/bgworker/worker_spi.control
diff --git a/contrib/test_decoding/.gitignore b/src/test/modules/logical_decoding/.gitignore
similarity index 100%
rename from contrib/test_decoding/.gitignore
rename to src/test/modules/logical_decoding/.gitignore
diff --git a/contrib/test_decoding/Makefile b/src/test/modules/logical_decoding/Makefile
similarity index 78%
rename from contrib/test_decoding/Makefile
rename to src/test/modules/logical_decoding/Makefile
index 438be44..0bc85d8 100644
--- a/contrib/test_decoding/Makefile
+++ b/src/test/modules/logical_decoding/Makefile
@@ -1,4 +1,4 @@
-# contrib/test_decoding/Makefile
+# src/test/modules/logical_decoding/Makefile
 
 MODULES = test_decoding
 PGFILEDESC = "test_decoding - example of a logical decoding output plugin"
@@ -12,8 +12,8 @@ PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
 else
-subdir = contrib/test_decoding
-top_builddir = ../..
+subdir = src/test/modules/logical_decoding
+top_builddir = ../../../..
 include $(top_builddir)/src/Makefile.global
 include $(top_srcdir)/contrib/contrib-global.mk
 endif
@@ -35,22 +35,22 @@ submake-isolation:
 	$(MAKE) -C $(top_builddir)/src/test/isolation all
 
 submake-test_decoding:
-	$(MAKE) -C $(top_builddir)/contrib/test_decoding
+	$(MAKE) -C $(top_builddir)/src/test/modules/logical_decoding
 
 REGRESSCHECKS=ddl rewrite toast permissions decoding_in_xact decoding_into_rel binary prepared
 
 regresscheck: all | submake-regress submake-test_decoding
 	$(MKDIR_P) regression_output
 	$(pg_regress_check) \
-	    --temp-config $(top_srcdir)/contrib/test_decoding/logical.conf \
+	    --temp-config $(top_srcdir)/src/test/modules/logical_decoding/logical.conf \
 	    --temp-install=./tmp_check \
-	    --extra-install=contrib/test_decoding \
+	    --extra-install=src/test/modules/logical_decoding \
 	    --outputdir=./regression_output \
 	    $(REGRESSCHECKS)
 
 regresscheck-install-force: | submake-regress submake-test_decoding
 	$(pg_regress_installcheck) \
-	    --extra-install=contrib/test_decoding \
+	    --extra-install=src/test/modules/logical_decoding \
 	    $(REGRESSCHECKS)
 
 ISOLATIONCHECKS=mxact delayed_startup ondisk_startup concurrent_ddl_dml
@@ -58,14 +58,14 @@ ISOLATIONCHECKS=mxact delayed_startup ondisk_startup concurrent_ddl_dml
 isolationcheck: all | submake-isolation submake-test_decoding
 	$(MKDIR_P) isolation_output
 	$(pg_isolation_regress_check) \
-	    --temp-config $(top_srcdir)/contrib/test_decoding/logical.conf \
-	    --extra-install=contrib/test_decoding \
+	    --temp-config $(top_srcdir)/src/test/modules/logical_decoding/logical.conf \
+	    --extra-install=src/test/modules/logical_decoding \
 	    --outputdir=./isolation_output \
 	    $(ISOLATIONCHECKS)
 
 isolationcheck-install-force: all | submake-isolation submake-test_decoding
 	$(pg_isolation_regress_installcheck) \
-	    --extra-install=contrib/test_decoding \
+	    --extra-install=src/test/modules/logical_decoding \
 	    $(ISOLATIONCHECKS)
 
 PHONY: submake-test_decoding submake-regress check \
diff --git a/contrib/test_decoding/expected/binary.out b/src/test/modules/logical_decoding/expected/binary.out
similarity index 100%
rename from contrib/test_decoding/expected/binary.out
rename to src/test/modules/logical_decoding/expected/binary.out
diff --git a/contrib/test_decoding/expected/concurrent_ddl_dml.out b/src/test/modules/logical_decoding/expected/concurrent_ddl_dml.out
similarity index 100%
rename from contrib/test_decoding/expected/concurrent_ddl_dml.out
rename to src/test/modules/logical_decoding/expected/concurrent_ddl_dml.out
diff --git a/contrib/test_decoding/expected/ddl.out b/src/test/modules/logical_decoding/expected/ddl.out
similarity index 100%
rename from contrib/test_decoding/expected/ddl.out
rename to src/test/modules/logical_decoding/expected/ddl.out
diff --git a/contrib/test_decoding/expected/decoding_in_xact.out b/src/test/modules/logical_decoding/expected/decoding_in_xact.out
similarity index 100%
rename from contrib/test_decoding/expected/decoding_in_xact.out
rename to src/test/modules/logical_decoding/expected/decoding_in_xact.out
diff --git a/contrib/test_decoding/expected/decoding_into_rel.out b/src/test/modules/logical_decoding/expected/decoding_into_rel.out
similarity index 100%
rename from contrib/test_decoding/expected/decoding_into_rel.out
rename to src/test/modules/logical_decoding/expected/decoding_into_rel.out
diff --git a/contrib/test_decoding/expected/delayed_startup.out b/src/test/modules/logical_decoding/expected/delayed_startup.out
similarity index 100%
rename from contrib/test_decoding/expected/delayed_startup.out
rename to src/test/modules/logical_decoding/expected/delayed_startup.out
diff --git a/contrib/test_decoding/expected/mxact.out b/src/test/modules/logical_decoding/expected/mxact.out
similarity index 100%
rename from contrib/test_decoding/expected/mxact.out
rename to src/test/modules/logical_decoding/expected/mxact.out
diff --git a/contrib/test_decoding/expected/ondisk_startup.out b/src/test/modules/logical_decoding/expected/ondisk_startup.out
similarity index 100%
rename from contrib/test_decoding/expected/ondisk_startup.out
rename to src/test/modules/logical_decoding/expected/ondisk_startup.out
diff --git a/contrib/test_decoding/expected/permissions.out b/src/test/modules/logical_decoding/expected/permissions.out
similarity index 100%
rename from contrib/test_decoding/expected/permissions.out
rename to src/test/modules/logical_decoding/expected/permissions.out
diff --git a/contrib/test_decoding/expected/prepared.out b/src/test/modules/logical_decoding/expected/prepared.out
similarity index 100%
rename from contrib/test_decoding/expected/prepared.out
rename to src/test/modules/logical_decoding/expected/prepared.out
diff --git a/contrib/test_decoding/expected/rewrite.out b/src/test/modules/logical_decoding/expected/rewrite.out
similarity index 100%
rename from contrib/test_decoding/expected/rewrite.out
rename to src/test/modules/logical_decoding/expected/rewrite.out
diff --git a/contrib/test_decoding/expected/toast.out b/src/test/modules/logical_decoding/expected/toast.out
similarity index 100%
rename from contrib/test_decoding/expected/toast.out
rename to src/test/modules/logical_decoding/expected/toast.out
diff --git a/contrib/test_decoding/logical.conf b/src/test/modules/logical_decoding/logical.conf
similarity index 100%
rename from contrib/test_decoding/logical.conf
rename to src/test/modules/logical_decoding/logical.conf
diff --git a/contrib/test_decoding/specs/concurrent_ddl_dml.spec b/src/test/modules/logical_decoding/specs/concurrent_ddl_dml.spec
similarity index 100%
rename from contrib/test_decoding/specs/concurrent_ddl_dml.spec
rename to src/test/modules/logical_decoding/specs/concurrent_ddl_dml.spec
diff --git a/contrib/test_decoding/specs/delayed_startup.spec b/src/test/modules/logical_decoding/specs/delayed_startup.spec
similarity index 100%
rename from contrib/test_decoding/specs/delayed_startup.spec
rename to src/test/modules/logical_decoding/specs/delayed_startup.spec
diff --git a/contrib/test_decoding/specs/mxact.spec b/src/test/modules/logical_decoding/specs/mxact.spec
similarity index 100%
rename from contrib/test_decoding/specs/mxact.spec
rename to src/test/modules/logical_decoding/specs/mxact.spec
diff --git a/contrib/test_decoding/specs/ondisk_startup.spec b/src/test/modules/logical_decoding/specs/ondisk_startup.spec
similarity index 100%
rename from contrib/test_decoding/specs/ondisk_startup.spec
rename to src/test/modules/logical_decoding/specs/ondisk_startup.spec
diff --git a/contrib/test_decoding/sql/binary.sql b/src/test/modules/logical_decoding/sql/binary.sql
similarity index 100%
rename from contrib/test_decoding/sql/binary.sql
rename to src/test/modules/logical_decoding/sql/binary.sql
diff --git a/contrib/test_decoding/sql/ddl.sql b/src/test/modules/logical_decoding/sql/ddl.sql
similarity index 100%
rename from contrib/test_decoding/sql/ddl.sql
rename to src/test/modules/logical_decoding/sql/ddl.sql
diff --git a/contrib/test_decoding/sql/decoding_in_xact.sql b/src/test/modules/logical_decoding/sql/decoding_in_xact.sql
similarity index 100%
rename from contrib/test_decoding/sql/decoding_in_xact.sql
rename to src/test/modules/logical_decoding/sql/decoding_in_xact.sql
diff --git a/contrib/test_decoding/sql/decoding_into_rel.sql b/src/test/modules/logical_decoding/sql/decoding_into_rel.sql
similarity index 100%
rename from contrib/test_decoding/sql/decoding_into_rel.sql
rename to src/test/modules/logical_decoding/sql/decoding_into_rel.sql
diff --git a/contrib/test_decoding/sql/permissions.sql b/src/test/modules/logical_decoding/sql/permissions.sql
similarity index 100%
rename from contrib/test_decoding/sql/permissions.sql
rename to src/test/modules/logical_decoding/sql/permissions.sql
diff --git a/contrib/test_decoding/sql/prepared.sql b/src/test/modules/logical_decoding/sql/prepared.sql
similarity index 100%
rename from contrib/test_decoding/sql/prepared.sql
rename to src/test/modules/logical_decoding/sql/prepared.sql
diff --git a/contrib/test_decoding/sql/rewrite.sql b/src/test/modules/logical_decoding/sql/rewrite.sql
similarity index 100%
rename from contrib/test_decoding/sql/rewrite.sql
rename to src/test/modules/logical_decoding/sql/rewrite.sql
diff --git a/contrib/test_decoding/sql/toast.sql b/src/test/modules/logical_decoding/sql/toast.sql
similarity index 100%
rename from contrib/test_decoding/sql/toast.sql
rename to src/test/modules/logical_decoding/sql/toast.sql
diff --git a/contrib/test_decoding/test_decoding.c b/src/test/modules/logical_decoding/test_decoding.c
similarity index 100%
rename from contrib/test_decoding/test_decoding.c
rename to src/test/modules/logical_decoding/test_decoding.c
diff --git a/contrib/dummy_seclabel/Makefile b/src/test/modules/seclabel/Makefile
similarity index 50%
rename from contrib/dummy_seclabel/Makefile
rename to src/test/modules/seclabel/Makefile
index e69aa1f..c0b1f1b 100644
--- a/contrib/dummy_seclabel/Makefile
+++ b/src/test/modules/seclabel/Makefile
@@ -1,15 +1,15 @@
-# contrib/dummy_seclabel/Makefile
+# src/test/modules/seclabel/Makefile
 
-MODULES = dummy_seclabel
-PGFILEDESC = "dummy_seclabel - regression testing of the SECURITY LABEL statement"
+MODULES = seclabel
+PGFILEDESC = "seclabel - regression testing of the SECURITY LABEL statement"
 
 ifdef USE_PGXS
 PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
 else
-subdir = contrib/dummy_seclabel
-top_builddir = ../..
+subdir = src/test/modules/seclabel
+top_builddir = ../../../..
 include $(top_builddir)/src/Makefile.global
 include $(top_srcdir)/contrib/contrib-global.mk
 endif
diff --git a/contrib/dummy_seclabel/dummy_seclabel.c b/src/test/modules/seclabel/seclabel.c
similarity index 98%
rename from contrib/dummy_seclabel/dummy_seclabel.c
rename to src/test/modules/seclabel/seclabel.c
index b5753cc..08cd58b 100644
--- a/contrib/dummy_seclabel/dummy_seclabel.c
+++ b/src/test/modules/seclabel/seclabel.c
@@ -1,5 +1,5 @@
 /*
- * dummy_seclabel.c
+ * seclabel.c
  *
  * Dummy security label provider.
  *
diff --git a/contrib/test_shm_mq/.gitignore b/src/test/modules/shm_mq/.gitignore
similarity index 100%
rename from contrib/test_shm_mq/.gitignore
rename to src/test/modules/shm_mq/.gitignore
diff --git a/contrib/test_shm_mq/Makefile b/src/test/modules/shm_mq/Makefile
similarity index 81%
rename from contrib/test_shm_mq/Makefile
rename to src/test/modules/shm_mq/Makefile
index e3c4054..229473f 100644
--- a/contrib/test_shm_mq/Makefile
+++ b/src/test/modules/shm_mq/Makefile
@@ -1,4 +1,4 @@
-# contrib/test_shm_mq/Makefile
+# src/test/modules/shm_mq/Makefile
 
 MODULE_big = test_shm_mq
 OBJS = test.o setup.o worker.o $(WIN32RES)
@@ -14,8 +14,8 @@ PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
 else
-subdir = contrib/test_shm_mq
-top_builddir = ../..
+subdir = src/test/modules/shm_mq
+top_builddir = ../../../..
 include $(top_builddir)/src/Makefile.global
 include $(top_srcdir)/contrib/contrib-global.mk
 endif
diff --git a/contrib/test_shm_mq/expected/test_shm_mq.out b/src/test/modules/shm_mq/expected/test_shm_mq.out
similarity index 100%
rename from contrib/test_shm_mq/expected/test_shm_mq.out
rename to src/test/modules/shm_mq/expected/test_shm_mq.out
diff --git a/contrib/test_shm_mq/setup.c b/src/test/modules/shm_mq/setup.c
similarity index 100%
rename from contrib/test_shm_mq/setup.c
rename to src/test/modules/shm_mq/setup.c
diff --git a/contrib/test_shm_mq/sql/test_shm_mq.sql b/src/test/modules/shm_mq/sql/test_shm_mq.sql
similarity index 100%
rename from contrib/test_shm_mq/sql/test_shm_mq.sql
rename to src/test/modules/shm_mq/sql/test_shm_mq.sql
diff --git a/contrib/test_shm_mq/test.c b/src/test/modules/shm_mq/test.c
similarity index 100%
rename from contrib/test_shm_mq/test.c
rename to src/test/modules/shm_mq/test.c
diff --git a/contrib/test_shm_mq/test_shm_mq--1.0.sql b/src/test/modules/shm_mq/test_shm_mq--1.0.sql
similarity index 100%
rename from contrib/test_shm_mq/test_shm_mq--1.0.sql
rename to src/test/modules/shm_mq/test_shm_mq--1.0.sql
diff --git a/contrib/test_shm_mq/test_shm_mq.control b/src/test/modules/shm_mq/test_shm_mq.control
similarity index 100%
rename from contrib/test_shm_mq/test_shm_mq.control
rename to src/test/modules/shm_mq/test_shm_mq.control
diff --git a/contrib/test_shm_mq/test_shm_mq.h b/src/test/modules/shm_mq/test_shm_mq.h
similarity index 100%
rename from contrib/test_shm_mq/test_shm_mq.h
rename to src/test/modules/shm_mq/test_shm_mq.h
diff --git a/contrib/test_shm_mq/worker.c b/src/test/modules/shm_mq/worker.c
similarity index 100%
rename from contrib/test_shm_mq/worker.c
rename to src/test/modules/shm_mq/worker.c
diff --git a/contrib/test_parser/.gitignore b/src/test/modules/tsparser/.gitignore
similarity index 100%
rename from contrib/test_parser/.gitignore
rename to src/test/modules/tsparser/.gitignore
diff --git a/contrib/test_parser/Makefile b/src/test/modules/tsparser/Makefile
similarity index 81%
rename from contrib/test_parser/Makefile
rename to src/test/modules/tsparser/Makefile
index 7e068ab..b6c3ccf 100644
--- a/contrib/test_parser/Makefile
+++ b/src/test/modules/tsparser/Makefile
@@ -1,4 +1,4 @@
-# contrib/test_parser/Makefile
+# src/test/modules/tsparser/Makefile
 
 MODULE_big = test_parser
 OBJS = test_parser.o $(WIN32RES)
@@ -14,8 +14,8 @@ PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
 else
-subdir = contrib/test_parser
-top_builddir = ../..
+subdir = src/test/modules/tsparser
+top_builddir = ../../../..
 include $(top_builddir)/src/Makefile.global
 include $(top_srcdir)/contrib/contrib-global.mk
 endif
diff --git a/contrib/test_parser/expected/test_parser.out b/src/test/modules/tsparser/expected/test_parser.out
similarity index 100%
rename from contrib/test_parser/expected/test_parser.out
rename to src/test/modules/tsparser/expected/test_parser.out
diff --git a/contrib/test_parser/sql/test_parser.sql b/src/test/modules/tsparser/sql/test_parser.sql
similarity index 100%
rename from contrib/test_parser/sql/test_parser.sql
rename to src/test/modules/tsparser/sql/test_parser.sql
diff --git a/contrib/test_parser/test_parser--1.0.sql b/src/test/modules/tsparser/test_parser--1.0.sql
similarity index 100%
rename from contrib/test_parser/test_parser--1.0.sql
rename to src/test/modules/tsparser/test_parser--1.0.sql
diff --git a/contrib/test_parser/test_parser--unpackaged--1.0.sql b/src/test/modules/tsparser/test_parser--unpackaged--1.0.sql
similarity index 100%
rename from contrib/test_parser/test_parser--unpackaged--1.0.sql
rename to src/test/modules/tsparser/test_parser--unpackaged--1.0.sql
diff --git a/contrib/test_parser/test_parser.c b/src/test/modules/tsparser/test_parser.c
similarity index 100%
rename from contrib/test_parser/test_parser.c
rename to src/test/modules/tsparser/test_parser.c
diff --git a/contrib/test_parser/test_parser.control b/src/test/modules/tsparser/test_parser.control
similarity index 100%
rename from contrib/test_parser/test_parser.control
rename to src/test/modules/tsparser/test_parser.control
diff --git a/src/test/regress/GNUmakefile b/src/test/regress/GNUmakefile
index b40b37c..03ee6ce 100644
--- a/src/test/regress/GNUmakefile
+++ b/src/test/regress/GNUmakefile
@@ -101,9 +101,9 @@ installdirs-tests: installdirs
 	$(MKDIR_P)  $(patsubst $(srcdir)/%/,'$(DESTDIR)$(pkglibdir)/regress/%',$(sort $(dir $(regress_data_files))))
 
 
-# Get some extra C modules from contrib/spi and contrib/dummy_seclabel...
+# Get some extra C modules from contrib/spi and src/test/modules/seclabel...
 
-all: refint$(DLSUFFIX) autoinc$(DLSUFFIX) dummy_seclabel$(DLSUFFIX)
+all: refint$(DLSUFFIX) autoinc$(DLSUFFIX) seclabel$(DLSUFFIX)
 
 refint$(DLSUFFIX): $(top_builddir)/contrib/spi/refint$(DLSUFFIX)
 	cp $< $@
@@ -111,22 +111,22 @@ refint$(DLSUFFIX): $(top_builddir)/contrib/spi/refint$(DLSUFFIX)
 autoinc$(DLSUFFIX): $(top_builddir)/contrib/spi/autoinc$(DLSUFFIX)
 	cp $< $@
 
-dummy_seclabel$(DLSUFFIX): $(top_builddir)/contrib/dummy_seclabel/dummy_seclabel$(DLSUFFIX)
+seclabel$(DLSUFFIX): $(top_builddir)/src/test/modules/seclabel/seclabel$(DLSUFFIX)
 	cp $< $@
 
 $(top_builddir)/contrib/spi/refint$(DLSUFFIX): | submake-contrib-spi ;
 
 $(top_builddir)/contrib/spi/autoinc$(DLSUFFIX): | submake-contrib-spi ;
 
-$(top_builddir)/contrib/dummy_seclabel/dummy_seclabel$(DLSUFFIX): | submake-contrib-dummy_seclabel ;
+$(top_builddir)/src/test/modules/seclabel/seclabel$(DLSUFFIX): | submake-src-test-modules-seclabel ;
 
 submake-contrib-spi:
 	$(MAKE) -C $(top_builddir)/contrib/spi
 
-submake-contrib-dummy_seclabel:
-	$(MAKE) -C $(top_builddir)/contrib/dummy_seclabel
+submake-src-test-modules-seclabel:
+	$(MAKE) -C $(top_builddir)/src/test/modules/seclabel
 
-.PHONY: submake-contrib-spi submake-contrib-dummy_seclabel
+.PHONY: submake-contrib-spi submake-src-test-modules-seclabel
 
 # Tablespace setup
 
@@ -179,7 +179,7 @@ bigcheck: all tablespace-setup
 
 clean distclean maintainer-clean: clean-lib
 # things built by `all' target
-	rm -f $(OBJS) refint$(DLSUFFIX) autoinc$(DLSUFFIX) dummy_seclabel$(DLSUFFIX)
+	rm -f $(OBJS) refint$(DLSUFFIX) autoinc$(DLSUFFIX) seclabel$(DLSUFFIX)
 	rm -f pg_regress_main.o pg_regress.o pg_regress$(X)
 # things created by various check targets
 	rm -f $(output_files) $(input_files)
